| Disk ARchive 2.7.12 Full featured and portable backup and archiving tool

Public Member Functions | Private Attributes | List of all members
libdar::database_used_options Class Reference
API

options for file "used" in archive More...

`#include <database_options.hpp>`

## Public Member Functions
| database_used_options (const database_used_options &ref)=default
| database_used_options (database_used_options &&ref) noexcept=default
database_used_options & | operator= (const database_used_options &ref)=default
database_used_options & | operator= (database_used_options &&ref) noexcept=default
void | clear ()
void | set_revert_archive_numbering (bool revert)
| defines whether the archive number is counted from the beginning or from the end of the database More...
bool | get_revert_archive_numbering () const

## Private Attributes
bool | x_revert_archive_numbering

## Detailed Description

options for file "used" in archive

Definition at line 290 of file database_options.hpp.

## Constructor & Destructor Documentation

## ◆ database_used_options()

libdar::database_used_options::database_used_options | ( |  | ) |
| inline

Definition at line 293 of file database_options.hpp.

## Member Function Documentation

## ◆ clear()

void libdar::database_used_options::clear | ( |  | ) |
| inline

Definition at line 300 of file database_options.hpp.

## ◆ get_revert_archive_numbering()

bool libdar::database_used_options::get_revert_archive_numbering | ( |  | ) | const
| inline

Definition at line 305 of file database_options.hpp.

## ◆ set_revert_archive_numbering()

void libdar::database_used_options::set_revert_archive_numbering | ( | bool | revert | ) |
| inline

defines whether the archive number is counted from the beginning or from the end of the database

Definition at line 303 of file database_options.hpp.

## Member Data Documentation

## ◆ x_revert_archive_numbering

bool libdar::database_used_options::x_revert_archive_numbering
| private

Definition at line 308 of file database_options.hpp.

The documentation for this class was generated from the following file:

- database_options.hpp